---
title: "Pagination"
description: "Pagination can be used if the number of resources for a request exceeds the value of the limit query parameter of the request. If the nextpage and/or prevpage values in the response are non-null there are additional resources. To paginate append the nextpage or prevpage value to the base API URL."
canonical_url: "https://docs.cobalt.io/articles/pagination-vzZ5elaKl7"
md_url: "https://docs.cobalt.io/articles/pagination-vzZ5elaKl7.md"
---
# Pagination

Pagination can be used if the number of resources for a request exceeds the value of the `limit` query parameter of the request. If the `next_page` and/or `prev_page` values in the response are non-`null` there are additional resources. To paginate append the `next_page` or `prev_page` value to the base API URL.

For example, if the `next_page` value in a response is `/resource?cursor=a1b2c3d4` you can send the following request for the next page.

`GET https://api.us.cobalt.io/resource?cursor=a1b2c3d4`


:::info
Remember - there is always a default value for the `limit` query parameter.

:::
